Index: MP-TVSeries/Helper.cs
===================================================================
--- MP-TVSeries/Helper.cs	(revision 1890)
+++ MP-TVSeries/Helper.cs	(working copy)
@@ -728,6 +728,13 @@
             }
         }
 
+        public static bool IsMyTorrentsAvailableAndEnabled
+        {
+            get
+            {
+                return File.Exists(Path.Combine(Config.GetSubFolder(Config.Dir.Plugins, "Windows"), "MyTorrents.dll")) && IsPluginEnabled("MyTorrents");
+            }
+        }
         #endregion
 
         #region Web Methods
Index: MP-TVSeries/TVSeriesPlugin.cs
===================================================================
--- MP-TVSeries/TVSeriesPlugin.cs	(revision 1890)
+++ MP-TVSeries/TVSeriesPlugin.cs	(working copy)
@@ -345,7 +345,8 @@
             addToPlaylist,
             viewAddToNewView,
             showActorsGUI,
-            trakt
+            trakt,
+            downloadTorrent
         }
 
         enum eContextMenus
@@ -943,6 +944,14 @@
                         pItem.ItemId = (int)eContextItems.trakt;
                     }
                     #endregion
+                    #region mytorrents
+                    if (Helper.IsMyTorrentsAvailableAndEnabled)
+                    {
+                        pItem = new GUIListItem("Search torrent");
+                        dlg.Add(pItem);
+                        pItem.ItemId = (int)eContextItems.downloadTorrent;
+                    }
+                    #endregion
 
                     #region Subtitles - keep at the bottom for fast access (menu + up => there)
                     if (!emptyList && subtitleDownloadEnabled && this.listLevel == Listlevel.Episode)
@@ -1302,6 +1311,11 @@
                         ShowTraktMenu();
                         break;
                     #endregion
+                    #region mytorrents
+                    case (int)eContextItems.downloadTorrent:
+                        ShowMyTorrents();
+                        break;
+                    #endregion
 
                     #region Subtitles
                     case (int)eContextItems.downloadSubtitle:
@@ -1793,6 +1807,23 @@
             }
         }
 
+        protected void ShowMyTorrents()
+        {
+            string searchobj = "";
+            if (listLevel != Listlevel.Episode)
+
+            {
+                searchobj = string.Format("{0}",m_SelectedSeries[DBOnlineSeries.cOriginalName]);
+            }
+            else
+            {
+                searchobj = string.Format("{0} S{1:00}E{2:00}", m_SelectedSeries[DBOnlineSeries.cOriginalName], Convert.ToInt32(m_SelectedEpisode[DBOnlineEpisode.cSeasonIndex].ToString()), Convert.ToInt32(m_SelectedEpisode[DBOnlineEpisode.cEpisodeIndex].ToString()));
+            }
+
+            //GUIWindowManager.ActivateWindow(5681);
+            GUIWindowManager.ActivateWindow(5678,searchobj);
+
+        }
         protected void AddItemToWatchList()
         {
             if (!CheckTraktLogin()) return;
